MODEL
MODEL_VERSION "v1998.8";
DESIGN "cfg_top";

/* port names and type */
INPUT S:PIN15 = clk;
INPUT S:PIN38 = done;
INPUT S:PIN16 = clk72k;
INPUT S:PIN18 = sw_init;
INPUT S:PIN39 = usb_data<0>;
INPUT S:PIN40 = usb_data<1>;
INPUT S:PIN42 = usb_data<2>;
INPUT S:PIN43 = usb_data<3>;
INPUT S:PIN44 = usb_data<4>;
INPUT S:PIN45 = usb_data<5>;
INPUT S:PIN46 = usb_data<6>;
INPUT S:PIN47 = usb_data<7>;
INPUT S:PIN51 = rxf_n;
INPUT S:PIN61 = mode;
TRIOUT S:PIN48 = rd_n;
OUTPUT S:PIN33 = prog;
OUTPUT S:PIN34 = cclk;
OUTPUT S:PIN35 = din;
OUTPUT S:PIN56 = clk1k1;
TRIOUT S:PIN20 = led_done;
OUTPUT S:PIN57 = clk1k2;
OUTPUT S:PIN13 = m<0>;
OUTPUT S:PIN12 = m<1>;
OUTPUT S:PIN11 = m<2>;

/* timing arc definitions */
done_led_done_delay: DELAY (ENABLE_HIGH) done led_done;
mode_m<0>_delay: DELAY mode m<0>;
mode_m<1>_delay: DELAY mode m<1>;
mode_m<2>_delay: DELAY mode m<2>;
clk72k_clk1k1_delay: DELAY clk72k clk1k1;
clk72k_clk1k2_delay: DELAY clk72k clk1k2;
clk_rd_n_delay: DELAY (ENABLE_HIGH) clk rd_n;
clk_prog_delay: DELAY clk prog;
clk_cclk_delay: DELAY clk cclk;
clk_din_delay: DELAY clk din;

/* timing check arc definitions */
done_clk_setup: SETUP(POSEDGE) done clk;
rxf_n_clk_setup: SETUP(POSEDGE) rxf_n clk;
sw_init_clk_setup: SETUP(POSEDGE) sw_init clk;
usb_data<0>_clk_setup: SETUP(POSEDGE) usb_data<0> clk;
usb_data<1>_clk_setup: SETUP(POSEDGE) usb_data<1> clk;
usb_data<2>_clk_setup: SETUP(POSEDGE) usb_data<2> clk;
usb_data<3>_clk_setup: SETUP(POSEDGE) usb_data<3> clk;
usb_data<4>_clk_setup: SETUP(POSEDGE) usb_data<4> clk;
usb_data<5>_clk_setup: SETUP(POSEDGE) usb_data<5> clk;
usb_data<6>_clk_setup: SETUP(POSEDGE) usb_data<6> clk;
usb_data<7>_clk_setup: SETUP(POSEDGE) usb_data<7> clk;
done_clk_hold: HOLD(POSEDGE) done clk;
rxf_n_clk_hold: HOLD(POSEDGE) rxf_n clk;
sw_init_clk_hold: HOLD(POSEDGE) sw_init clk;
usb_data<0>_clk_hold: HOLD(POSEDGE) usb_data<0> clk;
usb_data<1>_clk_hold: HOLD(POSEDGE) usb_data<1> clk;
usb_data<2>_clk_hold: HOLD(POSEDGE) usb_data<2> clk;
usb_data<3>_clk_hold: HOLD(POSEDGE) usb_data<3> clk;
usb_data<4>_clk_hold: HOLD(POSEDGE) usb_data<4> clk;
usb_data<5>_clk_hold: HOLD(POSEDGE) usb_data<5> clk;
usb_data<6>_clk_hold: HOLD(POSEDGE) usb_data<6> clk;
usb_data<7>_clk_hold: HOLD(POSEDGE) usb_data<7> clk;

ENDMODEL
